// Copyright (C) 2011 - DIGITEO - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html


// Evaluates the function y=f(x).
// Manages the case where f is either a function or a list.
// Used in Sobol method for SA.
function y = nisp_evalfunc ( x , __sobolfo_func__ )
    if ( typeof( __sobolfo_func__ ) == "list" ) then
        // List
        __sobolfo_func__f = __sobolfo_func__ (1);
        y = __sobolfo_func__f ( x , __sobolfo_func__ (2:$));
    else
        // Macro or compiled macro
        y = __sobolfo_func__ ( x );
    end
endfunction
