// Copyright (C) 2013 - Michael Baudin
// Copyright (C) 2011 - DIGITEO - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

// Computes the sensitivity indice from the function 
// evaluations ya and yc.
// Used in Sobol method for SA.
function s = nisp_sensitivityindex(ya,yc)
    // Returns the sensitivity index associated with experiments ya and yc.
    C = cov (ya, yc)
    s= C(1,2)/ (st_deviation(ya) * st_deviation(yc))
endfunction
